Upgrade to OpenVPN 2.1.0
[tomato.git] / release / src / router / openvpn / config.status
blob238cb1994a1c714b243a952b13f11c94ac0b640f
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24 else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27 esac
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
52 rm -f conf$$.sh
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58 else
59 as_unset=false
63 # IFS
64 # We need space, tab and new line, in precisely that order. Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
70 IFS=" "" $as_nl"
72 # Find who we are. Look in the path if we contain no directory separator.
73 case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89 as_myself=$0
91 if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
104 # NLS nuisances.
105 for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
115 done
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121 else
122 as_expr=false
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127 else
128 as_basename=false
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
142 /^X\/\(\/\/\)$/{
143 s//\1/
146 /^X\/\(\/\).*/{
147 s//\1/
150 s/.*/./; q'`
152 # CDPATH.
153 $as_unset CDPATH
157 as_lineno_1=$LINENO
158 as_lineno_2=$LINENO
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
162 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using $LINENO; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing $LINENO, and appends
167 # trailing '-' during substitution so that $LINENO is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
180 :lineno
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202 else
203 as_dirname=false
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
214 ECHO_N='-n';;
215 esac
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220 else
221 as_expr=false
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227 else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242 else
243 as_ln_s='cp -p'
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
248 if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250 else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
255 if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257 else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
276 as_executable_p=$as_test_x
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
285 exec 6>&1
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by OpenVPN $as_me 2.1.0, which was
292 generated by GNU Autoconf 2.61. Invocation command line was
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
303 # Files that config.status was made for.
304 config_files=" Makefile openvpn.spec config-win32.h images/Makefile service-win32/Makefile install-win32/Makefile install-win32/settings"
305 config_headers=" config.h"
306 config_commands=" depfiles"
308 ac_cs_usage="\
309 \`$as_me' instantiates files from templates according to the
310 current configuration.
312 Usage: $0 [OPTIONS] [FILE]...
314 -h, --help print this help, then exit
315 -V, --version print version number and configuration settings, then exit
316 -q, --quiet do not print progress messages
317 -d, --debug don't remove temporary files
318 --recheck update $as_me by reconfiguring in the same conditions
319 --file=FILE[:TEMPLATE]
320 instantiate the configuration file FILE
321 --header=FILE[:TEMPLATE]
322 instantiate the configuration header FILE
324 Configuration files:
325 $config_files
327 Configuration headers:
328 $config_headers
330 Configuration commands:
331 $config_commands
333 Report bugs to <bug-autoconf@gnu.org>."
335 ac_cs_version="\
336 OpenVPN config.status 2.1.0
337 configured by ./configure, generated by GNU Autoconf 2.61,
338 with options \"'--host=mipsel-linux' 'CFLAGS=-mips2 -O3 -Wall' '--disable-plugins' '--disable-socks' '--disable-debug' '--enable-small' '--enable-password-save' '--with-ssl-lib=../openssl/' '--with-ssl-headers=../openssl/include/' '--with-lzo-lib=../lzo/src/.libs/' '--with-lzo-headers=../lzo/include' 'host_alias=mipsel-linux' 'CC=mipsel-uclibc-gcc'\"
340 Copyright (C) 2006 Free Software Foundation, Inc.
341 This config.status script is free software; the Free Software Foundation
342 gives unlimited permission to copy, distribute and modify it."
344 ac_pwd='/home/keith/firmware/release/src/router/openvpn'
345 srcdir='.'
346 INSTALL='/usr/bin/install -c'
347 MKDIR_P='/bin/mkdir -p'
348 # If no file are specified by the user, then we need to provide default
349 # value. By we need to know if files were specified by the user.
350 ac_need_defaults=:
351 while test $# != 0
353 case $1 in
354 --*=*)
355 ac_option=`expr "X$1" : 'X\([^=]*\)='`
356 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
357 ac_shift=:
360 ac_option=$1
361 ac_optarg=$2
362 ac_shift=shift
364 esac
366 case $ac_option in
367 # Handling of the options.
368 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
369 ac_cs_recheck=: ;;
370 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
371 echo "$ac_cs_version"; exit ;;
372 --debug | --debu | --deb | --de | --d | -d )
373 debug=: ;;
374 --file | --fil | --fi | --f )
375 $ac_shift
376 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
377 ac_need_defaults=false;;
378 --header | --heade | --head | --hea )
379 $ac_shift
380 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
381 ac_need_defaults=false;;
382 --he | --h)
383 # Conflict between --help and --header
384 { echo "$as_me: error: ambiguous option: $1
385 Try \`$0 --help' for more information." >&2
386 { (exit 1); exit 1; }; };;
387 --help | --hel | -h )
388 echo "$ac_cs_usage"; exit ;;
389 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
390 | -silent | --silent | --silen | --sile | --sil | --si | --s)
391 ac_cs_silent=: ;;
393 # This is an error.
394 -*) { echo "$as_me: error: unrecognized option: $1
395 Try \`$0 --help' for more information." >&2
396 { (exit 1); exit 1; }; } ;;
398 *) ac_config_targets="$ac_config_targets $1"
399 ac_need_defaults=false ;;
401 esac
402 shift
403 done
405 ac_configure_extra_args=
407 if $ac_cs_silent; then
408 exec 6>/dev/null
409 ac_configure_extra_args="$ac_configure_extra_args --silent"
412 if $ac_cs_recheck; then
413 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--host=mipsel-linux' 'CFLAGS=-mips2 -O3 -Wall' '--disable-plugins' '--disable-socks' '--disable-debug' '--enable-small' '--enable-password-save' '--with-ssl-lib=../openssl/' '--with-ssl-headers=../openssl/include/' '--with-lzo-lib=../lzo/src/.libs/' '--with-lzo-headers=../lzo/include' 'host_alias=mipsel-linux' 'CC=mipsel-uclibc-gcc' $ac_configure_extra_args " --no-create --no-recursion" >&6
414 CONFIG_SHELL=/bin/sh
415 export CONFIG_SHELL
416 exec /bin/sh "./configure" '--host=mipsel-linux' 'CFLAGS=-mips2 -O3 -Wall' '--disable-plugins' '--disable-socks' '--disable-debug' '--enable-small' '--enable-password-save' '--with-ssl-lib=../openssl/' '--with-ssl-headers=../openssl/include/' '--with-lzo-lib=../lzo/src/.libs/' '--with-lzo-headers=../lzo/include' 'host_alias=mipsel-linux' 'CC=mipsel-uclibc-gcc' $ac_configure_extra_args --no-create --no-recursion
419 exec 5>>config.log
421 echo
422 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
423 ## Running $as_me. ##
424 _ASBOX
425 echo "$ac_log"
426 } >&5
429 # INIT-COMMANDS
431 AMDEP_TRUE="" ac_aux_dir="."
434 # Handling of arguments.
435 for ac_config_target in $ac_config_targets
437 case $ac_config_target in
438 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
439 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
440 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
441 "openvpn.spec") CONFIG_FILES="$CONFIG_FILES openvpn.spec" ;;
442 "config-win32.h") CONFIG_FILES="$CONFIG_FILES config-win32.h" ;;
443 "images/Makefile") CONFIG_FILES="$CONFIG_FILES images/Makefile" ;;
444 "service-win32/Makefile") CONFIG_FILES="$CONFIG_FILES service-win32/Makefile" ;;
445 "install-win32/Makefile") CONFIG_FILES="$CONFIG_FILES install-win32/Makefile" ;;
446 "install-win32/settings") CONFIG_FILES="$CONFIG_FILES install-win32/settings" ;;
448 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
449 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
450 { (exit 1); exit 1; }; };;
451 esac
452 done
455 # If the user did not use the arguments to specify the items to instantiate,
456 # then the envvar interface is used. Set only those that are not.
457 # We use the long form for the default assignment because of an extremely
458 # bizarre bug on SunOS 4.1.3.
459 if $ac_need_defaults; then
460 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
461 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
462 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
465 # Have a temporary directory for convenience. Make it in the build tree
466 # simply because there is no reason against having it here, and in addition,
467 # creating and moving files from /tmp can sometimes cause problems.
468 # Hook for its removal unless debugging.
469 # Note that there is a small window in which the directory will not be cleaned:
470 # after its creation but before its name has been assigned to `$tmp'.
471 $debug ||
473 tmp=
474 trap 'exit_status=$?
475 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
477 trap '{ (exit 1); exit 1; }' 1 2 13 15
479 # Create a (secure) tmp directory for tmp files.
482 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
483 test -n "$tmp" && test -d "$tmp"
484 } ||
486 tmp=./conf$$-$RANDOM
487 (umask 077 && mkdir "$tmp")
488 } ||
490 echo "$me: cannot create a temporary directory in ." >&2
491 { (exit 1); exit 1; }
495 # Set up the sed scripts for CONFIG_FILES section.
498 # No need to generate the scripts if there are no CONFIG_FILES.
499 # This happens for instance when ./config.status config.h
500 if test -n "$CONFIG_FILES"; then
502 cat >"$tmp/subs-1.sed" <<\CEOF
503 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
504 s,@SHELL@,|#_!!_#|/bin/sh,g
505 s,@PATH_SEPARATOR@,|#_!!_#|:,g
506 s,@PACKAGE_NAME@,|#_!!_#|OpenVPN,g
507 s,@PACKAGE_TARNAME@,|#_!!_#|openvpn,g
508 s,@PACKAGE_VERSION@,|#_!!_#|2.1.0,g
509 s,@PACKAGE_STRING@,|#_!!_#|OpenVPN 2.1.0,g
510 s,@PACKAGE_BUGREPORT@,|#_!!_#|openvpn-users@|#_!!_#|lists.sourceforge.net,g
511 s,@exec_prefix@,|#_!!_#|${prefix},g
512 s,@prefix@,|#_!!_#|/usr/local,g
513 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
514 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
515 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
516 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
517 s,@datarootdir@,|#_!!_#|${prefix}/share,g
518 s,@datadir@,|#_!!_#|${datarootdir},g
519 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
520 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
521 s,@localstatedir@,|#_!!_#|${prefix}/var,g
522 s,@includedir@,|#_!!_#|${prefix}/include,g
523 s,@oldincludedir@,|#_!!_#|/usr/include,g
524 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
525 s,@infodir@,|#_!!_#|${datarootdir}/info,g
526 s,@htmldir@,|#_!!_#|${docdir},g
527 s,@dvidir@,|#_!!_#|${docdir},g
528 s,@pdfdir@,|#_!!_#|${docdir},g
529 s,@psdir@,|#_!!_#|${docdir},g
530 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
531 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
532 s,@mandir@,|#_!!_#|${datarootdir}/man,g
533 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
534 s,@ECHO_C@,|#_!!_#|,g
535 s,@ECHO_N@,|#_!!_#|-n,g
536 s,@ECHO_T@,|#_!!_#|,g
537 s,@LIBS@,|#_!!_#|-lssl -lcrypto -llzo2 ,g
538 s,@build_alias@,|#_!!_#|,g
539 s,@host_alias@,|#_!!_#|mipsel-linux,g
540 s,@target_alias@,|#_!!_#|,g
541 s,@build@,|#_!!_#|i686-pc-linux-gnu,g
542 s,@build_cpu@,|#_!!_#|i686,g
543 s,@build_vendor@,|#_!!_#|pc,g
544 s,@build_os@,|#_!!_#|linux-gnu,g
545 s,@host@,|#_!!_#|mipsel-unknown-linux-gnu,g
546 s,@host_cpu@,|#_!!_#|mipsel,g
547 s,@host_vendor@,|#_!!_#|unknown,g
548 s,@host_os@,|#_!!_#|linux-gnu,g
549 s,@target@,|#_!!_#|mipsel-unknown-linux-gnu,g
550 s,@target_cpu@,|#_!!_#|mipsel,g
551 s,@target_vendor@,|#_!!_#|unknown,g
552 s,@target_os@,|#_!!_#|linux-gnu,g
553 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
554 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
555 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
556 s,@am__isrc@,|#_!!_#|,g
557 s,@CYGPATH_W@,|#_!!_#|echo,g
558 s,@PACKAGE@,|#_!!_#|openvpn,g
559 s,@VERSION@,|#_!!_#|2.1.0,g
560 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run aclocal-1.10,g
561 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run autoconf,g
562 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run automake-1.10,g
563 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run autoheader,g
564 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run makeinfo,g
565 s,@install_sh@,|#_!!_#|$(SHELL) /home/keith/firmware/release/src/router/openvpn/install-sh,g
566 s,@STRIP@,|#_!!_#|mipsel-uclibc-strip,g
567 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
568 s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
569 s,@AWK@,|#_!!_#|mawk,g
570 s,@SET_MAKE@,|#_!!_#|,g
571 s,@am__leading_dot@,|#_!!_#|.,g
572 s,@AMTAR@,|#_!!_#|${SHELL} /home/keith/firmware/release/src/router/openvpn/missing --run tar,g
573 s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
574 s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
575 s,@IFCONFIG@,|#_!!_#|/sbin/ifconfig,g
576 s,@IPROUTE@,|#_!!_#|/sbin/ip,g
577 s,@ROUTE@,|#_!!_#|/sbin/route,g
578 s,@CC@,|#_!!_#|mipsel-uclibc-gcc,g
579 s,@CFLAGS@,|#_!!_#|-mips2 -O3 -Wall,g
580 s,@LDFLAGS@,|#_!!_#| -L../openssl/ -L../lzo/src/.libs/,g
581 s,@CPPFLAGS@,|#_!!_#| -I../openssl/include/ -I../lzo/include -I.,g
582 s,@ac_ct_CC@,|#_!!_#|,g
583 s,@EXEEXT@,|#_!!_#|,g
584 s,@OBJEXT@,|#_!!_#|o,g
585 s,@DEPDIR@,|#_!!_#|.deps,g
586 s,@am__include@,|#_!!_#|include,g
587 s,@am__quote@,|#_!!_#|,g
588 s,@AMDEP_TRUE@,|#_!!_#|,g
589 s,@AMDEP_FALSE@,|#_!!_#|#,g
590 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
591 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
592 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
593 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
594 s,@CPP@,|#_!!_#|mipsel-uclibc-gcc -E,g
595 s,@GREP@,|#_!!_#|/bin/grep,g
596 s,@EGREP@,|#_!!_#|/bin/grep -E,g
597 s,@MAN2HTML@,|#_!!_#|,g
598 s,@LIBOBJS@,|#_!!_#| ${LIBOBJDIR}memcmp$U.o,g
599 s,@PTHREAD_CC@,|#_!!_#|,g
600 s,@PTHREAD_LIBS@,|#_!!_#|,g
601 CEOF
602 cat >"$tmp/subs-2.sed" <<\CEOF
603 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
604 s,@PTHREAD_CFLAGS@,|#_!!_#|,g
605 s,@TAP_ID@,|#_!!_#|tap0901,g
606 s,@TAP_WIN32_MIN_MAJOR@,|#_!!_#|9,g
607 s,@TAP_WIN32_MIN_MINOR@,|#_!!_#|1,g
608 s,@win32datadir@,|#_!!_#|${datadir}/openvpn-win32,g
609 s,@WIN32_TRUE@,|#_!!_#|#,g
610 s,@WIN32_FALSE@,|#_!!_#|,g
611 s,@LTLIBOBJS@,|#_!!_#| ${LIBOBJDIR}memcmp$U.lo,g
612 :end
613 s/|#_!!_#|//g
614 CEOF
615 fi # test -n "$CONFIG_FILES"
618 for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
620 case $ac_tag in
621 :[FHLC]) ac_mode=$ac_tag; continue;;
622 esac
623 case $ac_mode$ac_tag in
624 :[FHL]*:*);;
625 :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
626 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
627 { (exit 1); exit 1; }; };;
628 :[FH]-) ac_tag=-:-;;
629 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
630 esac
631 ac_save_IFS=$IFS
632 IFS=:
633 set x $ac_tag
634 IFS=$ac_save_IFS
635 shift
636 ac_file=$1
637 shift
639 case $ac_mode in
640 :L) ac_source=$1;;
641 :[FH])
642 ac_file_inputs=
643 for ac_f
645 case $ac_f in
646 -) ac_f="$tmp/stdin";;
647 *) # Look for the file first in the build tree, then in the source tree
648 # (if the path is not absolute). The absolute path cannot be DOS-style,
649 # because $ac_f cannot contain `:'.
650 test -f "$ac_f" ||
651 case $ac_f in
652 [\\/$]*) false;;
653 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
654 esac ||
655 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
656 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
657 { (exit 1); exit 1; }; };;
658 esac
659 ac_file_inputs="$ac_file_inputs $ac_f"
660 done
662 # Let's still pretend it is `configure' which instantiates (i.e., don't
663 # use $as_me), people would be surprised to read:
664 # /* config.h. Generated by config.status. */
665 configure_input="Generated from "`IFS=:
666 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
667 if test x"$ac_file" != x-; then
668 configure_input="$ac_file. $configure_input"
669 { echo "$as_me:$LINENO: creating $ac_file" >&5
670 echo "$as_me: creating $ac_file" >&6;}
673 case $ac_tag in
674 *:-:* | *:-) cat >"$tmp/stdin";;
675 esac
677 esac
679 ac_dir=`$as_dirname -- "$ac_file" ||
680 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
681 X"$ac_file" : 'X\(//\)[^/]' \| \
682 X"$ac_file" : 'X\(//\)$' \| \
683 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
684 echo X"$ac_file" |
685 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
686 s//\1/
689 /^X\(\/\/\)[^/].*/{
690 s//\1/
693 /^X\(\/\/\)$/{
694 s//\1/
697 /^X\(\/\).*/{
698 s//\1/
701 s/.*/./; q'`
702 { as_dir="$ac_dir"
703 case $as_dir in #(
704 -*) as_dir=./$as_dir;;
705 esac
706 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
707 as_dirs=
708 while :; do
709 case $as_dir in #(
710 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
711 *) as_qdir=$as_dir;;
712 esac
713 as_dirs="'$as_qdir' $as_dirs"
714 as_dir=`$as_dirname -- "$as_dir" ||
715 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
716 X"$as_dir" : 'X\(//\)[^/]' \| \
717 X"$as_dir" : 'X\(//\)$' \| \
718 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
719 echo X"$as_dir" |
720 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
721 s//\1/
724 /^X\(\/\/\)[^/].*/{
725 s//\1/
728 /^X\(\/\/\)$/{
729 s//\1/
732 /^X\(\/\).*/{
733 s//\1/
736 s/.*/./; q'`
737 test -d "$as_dir" && break
738 done
739 test -z "$as_dirs" || eval "mkdir $as_dirs"
740 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
741 echo "$as_me: error: cannot create directory $as_dir" >&2;}
742 { (exit 1); exit 1; }; }; }
743 ac_builddir=.
745 case "$ac_dir" in
746 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
748 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
749 # A ".." for each directory in $ac_dir_suffix.
750 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
751 case $ac_top_builddir_sub in
752 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
753 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
754 esac ;;
755 esac
756 ac_abs_top_builddir=$ac_pwd
757 ac_abs_builddir=$ac_pwd$ac_dir_suffix
758 # for backward compatibility:
759 ac_top_builddir=$ac_top_build_prefix
761 case $srcdir in
762 .) # We are building in place.
763 ac_srcdir=.
764 ac_top_srcdir=$ac_top_builddir_sub
765 ac_abs_top_srcdir=$ac_pwd ;;
766 [\\/]* | ?:[\\/]* ) # Absolute name.
767 ac_srcdir=$srcdir$ac_dir_suffix;
768 ac_top_srcdir=$srcdir
769 ac_abs_top_srcdir=$srcdir ;;
770 *) # Relative name.
771 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
772 ac_top_srcdir=$ac_top_build_prefix$srcdir
773 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
774 esac
775 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
778 case $ac_mode in
781 # CONFIG_FILE
784 case $INSTALL in
785 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
786 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
787 esac
788 ac_MKDIR_P=$MKDIR_P
789 case $MKDIR_P in
790 [\\/$]* | ?:[\\/]* ) ;;
791 */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
792 esac
793 # If the template does not know about datarootdir, expand it.
794 # FIXME: This hack should be removed a few years after 2.60.
795 ac_datarootdir_hack=; ac_datarootdir_seen=
797 case `sed -n '/datarootdir/ {
801 /@datadir@/p
802 /@docdir@/p
803 /@infodir@/p
804 /@localedir@/p
805 /@mandir@/p
806 ' $ac_file_inputs` in
807 *datarootdir*) ac_datarootdir_seen=yes;;
808 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
809 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
810 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
811 ac_datarootdir_hack='
812 s&@datadir@&${datarootdir}&g
813 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
814 s&@infodir@&${datarootdir}/info&g
815 s&@localedir@&${datarootdir}/locale&g
816 s&@mandir@&${datarootdir}/man&g
817 s&\${datarootdir}&${prefix}/share&g' ;;
818 esac
819 sed "/^[ ]*VPATH[ ]*=/{
820 s/:*\$(srcdir):*/:/
821 s/:*\${srcdir}:*/:/
822 s/:*@srcdir@:*/:/
823 s/^\([^=]*=[ ]*\):*/\1/
824 s/:*$//
825 s/^[^=]*=[ ]*$//
829 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
830 s&@configure_input@&$configure_input&;t t
831 s&@top_builddir@&$ac_top_builddir_sub&;t t
832 s&@srcdir@&$ac_srcdir&;t t
833 s&@abs_srcdir@&$ac_abs_srcdir&;t t
834 s&@top_srcdir@&$ac_top_srcdir&;t t
835 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
836 s&@builddir@&$ac_builddir&;t t
837 s&@abs_builddir@&$ac_abs_builddir&;t t
838 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
839 s&@INSTALL@&$ac_INSTALL&;t t
840 s&@MKDIR_P@&$ac_MKDIR_P&;t t
841 $ac_datarootdir_hack
842 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
844 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
845 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
846 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
847 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
848 which seems to be undefined. Please make sure it is defined." >&5
849 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
850 which seems to be undefined. Please make sure it is defined." >&2;}
852 rm -f "$tmp/stdin"
853 case $ac_file in
854 -) cat "$tmp/out"; rm -f "$tmp/out";;
855 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
856 esac
860 # CONFIG_HEADER
862 # First, check the format of the line:
863 cat >"$tmp/defines.sed" <<\CEOF
864 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
865 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
867 :def
868 s/$/ /
869 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "OpenVPN" ,
870 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "openvpn" ,
871 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "2.1.0" ,
872 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "OpenVPN 2.1.0" ,
873 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "openvpn-users@lists.sourceforge.net" ,
874 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "openvpn" ,
875 s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "2.1.0" ,
876 s,^\([ #]*\)[^ ]*\([ ]*IFCONFIG_PATH\)[ (].*,\1define\2 "/sbin/ifconfig" ,
877 s,^\([ #]*\)[^ ]*\([ ]*IPROUTE_PATH\)[ (].*,\1define\2 "/sbin/ip" ,
878 s,^\([ #]*\)[^ ]*\([ ]*ROUTE_PATH\)[ (].*,\1define\2 "/sbin/route" ,
879 s,^\([ #]*\)[^ ]*\([ ]*TARGET_ALIAS\)[ (].*,\1define\2 "mipsel-unknown-linux-gnu" ,
880 s,^\([ #]*\)[^ ]*\([ ]*TARGET_LINUX\)[ (].*,\1define\2 1 ,
881 s,^\([ #]*\)[^ ]*\([ ]*_GNU_SOURCE\)[ (].*,\1define\2 1 ,
882 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
883 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
884 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
885 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
886 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
887 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
888 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
889 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
890 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
891 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
892 s,^\([ #]*\)[^ ]*\([ ]*TIME_WITH_SYS_TIME\)[ (].*,\1define\2 1 ,
893 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CPP_VARARG_MACRO_ISO\)[ (].*,\1define\2 1 ,
894 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CPP_VARARG_MACRO_GCC\)[ (].*,\1define\2 1 ,
895 s,^\([ #]*\)[^ ]*\([ ]*EMPTY_ARRAY_SIZE\)[ (].*,\1define\2 0 ,
896 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
897 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
898 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDARG_H\)[ (].*,\1define\2 1 ,
899 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDIO_H\)[ (].*,\1define\2 1 ,
900 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
901 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
902 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CTYPE_H\)[ (].*,\1define\2 1 ,
903 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ERRNO_H\)[ (].*,\1define\2 1 ,
904 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_WAIT_H\)[ (].*,\1define\2 1 ,
905 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TIME_H\)[ (].*,\1define\2 1 ,
906 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_SOCKET_H\)[ (].*,\1define\2 1 ,
907 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_UN_H\)[ (].*,\1define\2 1 ,
908 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_IOCTL_H\)[ (].*,\1define\2 1 ,
909 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
910 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_MMAN_H\)[ (].*,\1define\2 1 ,
911 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
912 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_FILE_H\)[ (].*,\1define\2 1 ,
913 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
914 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
915 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDARG_H\)[ (].*,\1define\2 1 ,
916 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
917 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SIGNAL_H\)[ (].*,\1define\2 1 ,
918 CEOF
919 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
920 # First, check the format of the line:
921 cat >"$tmp/defines.sed" <<\CEOF
922 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
923 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
925 :def
926 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDIO_H\)[ (].*,\1define\2 1 ,
927 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
928 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
929 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CTYPE_H\)[ (].*,\1define\2 1 ,
930 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ERRNO_H\)[ (].*,\1define\2 1 ,
931 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG_H\)[ (].*,\1define\2 1 ,
932 s,^\([ #]*\)[^ ]*\([ ]*HAVE_PWD_H\)[ (].*,\1define\2 1 ,
933 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GRP_H\)[ (].*,\1define\2 1 ,
934 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STROPTS_H\)[ (].*,\1define\2 1 ,
935 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_IN_H\)[ (].*,\1define\2 1 ,
936 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_IN_SYSTM_H\)[ (].*,\1define\2 1 ,
937 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_TCP_H\)[ (].*,\1define\2 1 ,
938 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ARPA_INET_H\)[ (].*,\1define\2 1 ,
939 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETDB_H\)[ (].*,\1define\2 1 ,
940 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_UIO_H\)[ (].*,\1define\2 1 ,
941 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_IF_TUN_H\)[ (].*,\1define\2 1 ,
942 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_SOCKIOS_H\)[ (].*,\1define\2 1 ,
943 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_TYPES_H\)[ (].*,\1define\2 1 ,
944 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_POLL_H\)[ (].*,\1define\2 1 ,
945 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ERR_H\)[ (].*,\1define\2 1 ,
946 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NET_IF_H\)[ (].*,\1define\2 1 ,
947 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_IP_H\)[ (].*,\1define\2 1 ,
948 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_IF_ETHER_H\)[ (].*,\1define\2 1 ,
949 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RESOLV_H\)[ (].*,\1define\2 1 ,
950 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_ERRQUEUE_H\)[ (].*,\1define\2 1 ,
951 s,^\([ #]*\)[^ ]*\([ ]*HAVE_TUN_PI\)[ (].*,\1define\2 1 ,
952 s,^\([ #]*\)[^ ]*\([ ]*HAVE_IPHDR\)[ (].*,\1define\2 1 ,
953 s,^\([ #]*\)[^ ]*\([ ]*HAVE_IOVEC\)[ (].*,\1define\2 1 ,
954 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SOCK_EXTENDED_ERR\)[ (].*,\1define\2 1 ,
955 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MSGHDR\)[ (].*,\1define\2 1 ,
956 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CMSGHDR\)[ (].*,\1define\2 1 ,
957 s,^\([ #]*\)[^ ]*\([ ]*HAVE_IN_PKTINFO\)[ (].*,\1define\2 1 ,
958 s,^\([ #]*\)[^ ]*\([ ]*SIZEOF_UNSIGNED_INT\)[ (].*,\1define\2 4 ,
959 s,^\([ #]*\)[^ ]*\([ ]*SIZEOF_UNSIGNED_LONG\)[ (].*,\1define\2 4 ,
960 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CTIME\)[ (].*,\1define\2 1 ,
961 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMSET\)[ (].*,\1define\2 1 ,
962 s,^\([ #]*\)[^ ]*\([ ]*HAVE_VSNPRINTF\)[ (].*,\1define\2 1 ,
963 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRDUP\)[ (].*,\1define\2 1 ,
964 s,^\([ #]*\)[^ ]*\([ ]*HAVE_DAEMON\)[ (].*,\1define\2 1 ,
965 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CHROOT\)[ (].*,\1define\2 1 ,
966 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETPWNAM\)[ (].*,\1define\2 1 ,
967 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETUID\)[ (].*,\1define\2 1 ,
968 s,^\([ #]*\)[^ ]*\([ ]*HAVE_NICE\)[ (].*,\1define\2 1 ,
969 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSTEM\)[ (].*,\1define\2 1 ,
970 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETPID\)[ (].*,\1define\2 1 ,
971 s,^\([ #]*\)[^ ]*\([ ]*HAVE_DUP\)[ (].*,\1define\2 1 ,
972 s,^\([ #]*\)[^ ]*\([ ]*HAVE_DUP2\)[ (].*,\1define\2 1 ,
973 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETPASS\)[ (].*,\1define\2 1 ,
974 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRERROR\)[ (].*,\1define\2 1 ,
975 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG\)[ (].*,\1define\2 1 ,
976 CEOF
977 sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
978 # First, check the format of the line:
979 cat >"$tmp/defines.sed" <<\CEOF
980 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
981 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
983 :def
984 s,^\([ #]*\)[^ ]*\([ ]*HAVE_OPENLOG\)[ (].*,\1define\2 1 ,
985 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MLOCKALL\)[ (].*,\1define\2 1 ,
986 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETGRNAM\)[ (].*,\1define\2 1 ,
987 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETGID\)[ (].*,\1define\2 1 ,
988 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETGROUPS\)[ (].*,\1define\2 1 ,
989 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STAT\)[ (].*,\1define\2 1 ,
990 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FLOCK\)[ (].*,\1define\2 1 ,
991 s,^\([ #]*\)[^ ]*\([ ]*HAVE_READV\)[ (].*,\1define\2 1 ,
992 s,^\([ #]*\)[^ ]*\([ ]*HAVE_WRITEV\)[ (].*,\1define\2 1 ,
993 s,^\([ #]*\)[^ ]*\([ ]*HAVE_TIME\)[ (].*,\1define\2 1 ,
994 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETSID\)[ (].*,\1define\2 1 ,
995 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CHDIR\)[ (].*,\1define\2 1 ,
996 s,^\([ #]*\)[^ ]*\([ ]*HAVE_PUTENV\)[ (].*,\1define\2 1 ,
997 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETPEERNAME\)[ (].*,\1define\2 1 ,
998 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNLINK\)[ (].*,\1define\2 1 ,
999 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FTRUNCATE\)[ (].*,\1define\2 1 ,
1000 s,^\([ #]*\)[^ ]*\([ ]*HAVE_EXECVE\)[ (].*,\1define\2 1 ,
1001 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UMASK\)[ (].*,\1define\2 1 ,
1002 s,^\([ #]*\)[^ ]*\([ ]*RETSIGTYPE\)[ (].*,\1define\2 void ,
1003 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FORK\)[ (].*,\1define\2 1 ,
1004 s,^\([ #]*\)[^ ]*\([ ]*HAVE_VFORK\)[ (].*,\1define\2 1 ,
1005 s,^\([ #]*\)[^ ]*\([ ]*HAVE_WORKING_VFORK\)[ (].*,\1define\2 1 ,
1006 s,^\([ #]*\)[^ ]*\([ ]*HAVE_WORKING_FORK\)[ (].*,\1define\2 1 ,
1007 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETTIMEOFDAY\)[ (].*,\1define\2 1 ,
1008 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SOCKET\)[ (].*,\1define\2 1 ,
1009 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RECV\)[ (].*,\1define\2 1 ,
1010 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RECVFROM\)[ (].*,\1define\2 1 ,
1011 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SEND\)[ (].*,\1define\2 1 ,
1012 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SENDTO\)[ (].*,\1define\2 1 ,
1013 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LISTEN\)[ (].*,\1define\2 1 ,
1014 s,^\([ #]*\)[^ ]*\([ ]*HAVE_ACCEPT\)[ (].*,\1define\2 1 ,
1015 s,^\([ #]*\)[^ ]*\([ ]*HAVE_CONNECT\)[ (].*,\1define\2 1 ,
1016 s,^\([ #]*\)[^ ]*\([ ]*HAVE_BIND\)[ (].*,\1define\2 1 ,
1017 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SELECT\)[ (].*,\1define\2 1 ,
1018 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETHOSTBYNAME\)[ (].*,\1define\2 1 ,
1019 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INET_NTOA\)[ (].*,\1define\2 1 ,
1020 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETSOCKOPT\)[ (].*,\1define\2 1 ,
1021 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETSOCKOPT\)[ (].*,\1define\2 1 ,
1022 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETSOCKNAME\)[ (].*,\1define\2 1 ,
1023 s,^\([ #]*\)[^ ]*\([ ]*HAVE_POLL\)[ (].*,\1define\2 1 ,
1024 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SENDMSG\)[ (].*,\1define\2 1 ,
1025 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RECVMSG\)[ (].*,\1define\2 1 ,
1026 s,^\([ #]*\)[^ ]*\([ ]*HAVE_RES_INIT\)[ (].*,\1define\2 1 ,
1027 s,^\([ #]*\)[^ ]*\([ ]*LZO_HEADER_DIR\)[ (].*,\1define\2 1 ,
1028 s,^\([ #]*\)[^ ]*\([ ]*USE_LZO\)[ (].*,\1define\2 1 ,
1029 s,^\([ #]*\)[^ ]*\([ ]*LZO_VERSION_NUM\)[ (].*,\1define\2 "2" ,
1030 s,^\([ #]*\)[^ ]*\([ ]*USE_CRYPTO\)[ (].*,\1define\2 1 ,
1031 s,^\([ #]*\)[^ ]*\([ ]*HAVE_EVP_CIPHER_CTX_SET_KEY_LENGTH\)[ (].*,\1define\2 1 ,
1032 s,^\([ #]*\)[^ ]*\([ ]*USE_SSL\)[ (].*,\1define\2 1 ,
1033 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_CLIENT_SERVER\)[ (].*,\1define\2 1 ,
1034 CEOF
1035 sed -f "$tmp/defines.sed" "$tmp/out2" >"$tmp/out1"
1036 # First, check the format of the line:
1037 cat >"$tmp/defines.sed" <<\CEOF
1038 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
1039 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
1041 :def
1042 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_MANAGEMENT\)[ (].*,\1define\2 1 ,
1043 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_HTTP_PROXY\)[ (].*,\1define\2 1 ,
1044 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_MULTIHOME\)[ (].*,\1define\2 1 ,
1045 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_SMALL\)[ (].*,\1define\2 1 ,
1046 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_FRAGMENT\)[ (].*,\1define\2 1 ,
1047 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_PORT_SHARE\)[ (].*,\1define\2 1 ,
1048 s,^\([ #]*\)[^ ]*\([ ]*CONFIGURE_DEF_AUTH\)[ (].*,\1define\2 1 ,
1049 s,^\([ #]*\)[^ ]*\([ ]*CONFIGURE_PF\)[ (].*,\1define\2 1 ,
1050 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_PASSWORD_SAVE\)[ (].*,\1define\2 1 ,
1051 s,^\([ #]*\)[^ ]*\([ ]*TAP_ID\)[ (].*,\1define\2 "tap0901" ,
1052 s,^\([ #]*\)[^ ]*\([ ]*TAP_WIN32_MIN_MAJOR\)[ (].*,\1define\2 9 ,
1053 s,^\([ #]*\)[^ ]*\([ ]*TAP_WIN32_MIN_MINOR\)[ (].*,\1define\2 1 ,
1054 s/ $//
1055 s,^[ #]*u.*,/* & */,
1056 CEOF
1057 sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
1058 ac_result="$tmp/out2"
1059 if test x"$ac_file" != x-; then
1060 echo "/* $configure_input */" >"$tmp/config.h"
1061 cat "$ac_result" >>"$tmp/config.h"
1062 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
1063 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1064 echo "$as_me: $ac_file is unchanged" >&6;}
1065 else
1066 rm -f $ac_file
1067 mv "$tmp/config.h" $ac_file
1069 else
1070 echo "/* $configure_input */"
1071 cat "$ac_result"
1073 rm -f "$tmp/out12"
1074 # Compute $ac_file's index in $config_headers.
1075 _am_arg=$ac_file
1076 _am_stamp_count=1
1077 for _am_header in $config_headers :; do
1078 case $_am_header in
1079 $_am_arg | $_am_arg:* )
1080 break ;;
1082 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1083 esac
1084 done
1085 echo "timestamp for $_am_arg" >`$as_dirname -- "$_am_arg" ||
1086 $as_expr X"$_am_arg" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1087 X"$_am_arg" : 'X\(//\)[^/]' \| \
1088 X"$_am_arg" : 'X\(//\)$' \| \
1089 X"$_am_arg" : 'X\(/\)' \| . 2>/dev/null ||
1090 echo X"$_am_arg" |
1091 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1092 s//\1/
1095 /^X\(\/\/\)[^/].*/{
1096 s//\1/
1099 /^X\(\/\/\)$/{
1100 s//\1/
1103 /^X\(\/\).*/{
1104 s//\1/
1107 s/.*/./; q'`/stamp-h$_am_stamp_count
1110 :C) { echo "$as_me:$LINENO: executing $ac_file commands" >&5
1111 echo "$as_me: executing $ac_file commands" >&6;}
1113 esac
1116 case $ac_file$ac_mode in
1117 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1118 # Strip MF so we end up with the name of the file.
1119 mf=`echo "$mf" | sed -e 's/:.*$//'`
1120 # Check whether this is an Automake generated Makefile or not.
1121 # We used to match only the files named `Makefile.in', but
1122 # some people rename them; so instead we look at the file content.
1123 # Grep'ing the first line is not enough: some people post-process
1124 # each Makefile.in and add a new line on top of each file to say so.
1125 # Grep'ing the whole file is not good either: AIX grep has a line
1126 # limit of 2048, but all sed's we know have understand at least 4000.
1127 if sed -n 's,^#.*generated by automake.*,X,p' "$mf" | grep X >/dev/null 2>&1; then
1128 dirpart=`$as_dirname -- "$mf" ||
1129 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1130 X"$mf" : 'X\(//\)[^/]' \| \
1131 X"$mf" : 'X\(//\)$' \| \
1132 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
1133 echo X"$mf" |
1134 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1135 s//\1/
1138 /^X\(\/\/\)[^/].*/{
1139 s//\1/
1142 /^X\(\/\/\)$/{
1143 s//\1/
1146 /^X\(\/\).*/{
1147 s//\1/
1150 s/.*/./; q'`
1151 else
1152 continue
1154 # Extract the definition of DEPDIR, am__include, and am__quote
1155 # from the Makefile without running `make'.
1156 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1157 test -z "$DEPDIR" && continue
1158 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1159 test -z "am__include" && continue
1160 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1161 # When using ansi2knr, U may be empty or an underscore; expand it
1162 U=`sed -n 's/^U = //p' < "$mf"`
1163 # Find all dependency output files, they are included files with
1164 # $(DEPDIR) in their names. We invoke sed twice because it is the
1165 # simplest approach to changing $(DEPDIR) to its actual value in the
1166 # expansion.
1167 for file in `sed -n "
1168 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1169 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1170 # Make sure the directory exists.
1171 test -f "$dirpart/$file" && continue
1172 fdir=`$as_dirname -- "$file" ||
1173 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1174 X"$file" : 'X\(//\)[^/]' \| \
1175 X"$file" : 'X\(//\)$' \| \
1176 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1177 echo X"$file" |
1178 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1179 s//\1/
1182 /^X\(\/\/\)[^/].*/{
1183 s//\1/
1186 /^X\(\/\/\)$/{
1187 s//\1/
1190 /^X\(\/\).*/{
1191 s//\1/
1194 s/.*/./; q'`
1195 { as_dir=$dirpart/$fdir
1196 case $as_dir in #(
1197 -*) as_dir=./$as_dir;;
1198 esac
1199 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1200 as_dirs=
1201 while :; do
1202 case $as_dir in #(
1203 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1204 *) as_qdir=$as_dir;;
1205 esac
1206 as_dirs="'$as_qdir' $as_dirs"
1207 as_dir=`$as_dirname -- "$as_dir" ||
1208 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1209 X"$as_dir" : 'X\(//\)[^/]' \| \
1210 X"$as_dir" : 'X\(//\)$' \| \
1211 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1212 echo X"$as_dir" |
1213 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1214 s//\1/
1217 /^X\(\/\/\)[^/].*/{
1218 s//\1/
1221 /^X\(\/\/\)$/{
1222 s//\1/
1225 /^X\(\/\).*/{
1226 s//\1/
1229 s/.*/./; q'`
1230 test -d "$as_dir" && break
1231 done
1232 test -z "$as_dirs" || eval "mkdir $as_dirs"
1233 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1234 echo "$as_me: error: cannot create directory $as_dir" >&2;}
1235 { (exit 1); exit 1; }; }; }
1236 # echo "creating $dirpart/$file"
1237 echo '# dummy' > "$dirpart/$file"
1238 done
1239 done
1242 esac
1243 done # for ac_tag
1246 { (exit 0); exit 0; }